disdikpateng/urls.py
from django.contrib import admin
from django.urls import path, include, re_path
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.auth import views as auth_views
from django.views.static import serve
from django.views.generic import TemplateView

urlpatterns = [
    path('sudo_manage_panel/', admin.site.urls),
    # path('accounts/reset/done/', auth_views.PasswordResetCompleteView.as_view(template_name='profile/admin/user/password/password_reset_complete.html'), name='password_reset_complete'), 
    # path('accounts/', include("django.contrib.auth.urls")),
    path('ckeditor/', include('ckeditor_uploader.urls')),
    path('', include('rizq_sanjaya_app.urls')),
    path('captcha/',include("captcha.urls")),
    re_path(r'^media/(?P<path>.*)$', serve,{'document_root': settings.MEDIA_ROOT}), 
    re_path(r'^static/(?P<path>.*)$', serve,{'document_root': settings.STATIC_ROOT}),
]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += [
    path('<path:unknown_url>', TemplateView.as_view(template_name='404.html'), name='404'),
]

rizq_sanjaya_app/urls.py
from django.urls import path, include
from .views import *
from django.contrib.auth import views as auth_views


app_name = 'profile'
urlpatterns = [
    path('', dashboard.index, name='home'),
    path('sejarah/', profiledinas.index, name='sejarah'),
    path('visimisi/', profiledinas.VisiMisi, name='visimisi'),
    path('tugas/', profiledinas.Tugas, name='tugas'),
    path('struktur/', profiledinas.Struktur, name='struktur'),
    path('profilpejabat/', profiledinas.Pejabat, name='pejabat'),

     # ## ADD PAKBAS =======================================================
    path('infoterpadu/', fe_infoterpadu.index_infografis, name='infoterpadu_infografis'),
    path('infopublik/', fe_infoterpadu.index_infopublik, name='infoterpadu_infopublik'),
    path('infoagenda/', fe_infoterpadu.index_infoagenda, name='infoterpadu_agenda'),
    path('infoagenda/<str:slug>', fe_infoterpadu.admin_detail_agenda, name='infoterpadu_agenda_detail'),
    path('infokalender/', fe_infoterpadu.index_infokalender, name='infoterpadu_kalender_pendidikan'),
    path('infokalender/detail/<str:slug>', fe_infoterpadu.admin_detail_kalender, name='infoterpadu_det_kalender_pendidikan'),
    path('infoterpadu/regulasi/', fe_infoterpadu.index_inforegulasi, name='infoterpadu_regulasi'),
    
    

    # Berita =============================================
    path('berita/', berita.index, name='berita'),
    path('berita/<str:slug>', berita.cat_berita, name='kat_berita'),
    path('berita/tag/<str:slug>', berita.tag_berita, name='tag_berita'),
    path('berita/detail/<str:slug>', berita.detail_berita, name='detail_berita'),

    # Layanan ==============================================
    path('layanan/', layanan.index, name='layanan'),
    path('layanan/info_publik', layanan.info_publik, name='info_publik'),
    path('layanan/pengaduan', layanan.pengaduan, name='pengaduan'),
    path('layanan/permohonan', layanan.permohonan, name='permohonan'),


    path('layanan/input_pengaduan', pengaduan.Inputpengaduan, name='input_pengaduan'),


    path('inovasi/', fe_inovasi.index, name='inovasi'),
    path('det_inovasi/<str:slug>', fe_inovasi.admin_detail, name='detail_inovasi'),
    path('bycategory/<str:slug>', fe_inovasi.admin_by_category, name='detail_inovasi_bycategory'),
    path('contact/', fe_contact.index, name='contact'),

    # ## ADD JOEL =======================================================
    path('ppid/<str:slug>', ppid.index, name='ppid_index'),
    
    #INI ADALAH DISDIK PATENG
    # path('profile/', dashboard.profil, name='profil'),
    # path('paket/', dashboard.paket, name='paket'),
    # path('detail_paket/<int:id>', dashboard.detail_paket, name='detail_paket'),
    # path('cara_bayar/', dashboard.cara_bayar, name='cara_bayar'),
    # path('gallery/', dashboard.galeri, name='galeri'),
    # path('berita/', dashboard.berita, name='berita'),
    # path('category/<int:id>', dashboard.kategori, name='kategori'),
    # path('detail_berita/<str:slug>', dashboard.detail_berita, name='detail_berita'),
    # path('contact/', dashboard.kontak, name='kontak'),
    # path('prev/<int:id>/', dashboard.prev, name='prev'),
    # path('next/<int:id>/', dashboard.next, name='next'),
    # path('Category/', dashboard.ajax, name='ajax'),
    # path('Produk/<int:id>', dashboard.produk, name='produk'),
    # path('contact_us/', dashboard.contact, name='contact'),
    # path('supplier/', dashboard.supplier, name='supplier'),
    # path('render_laporan/', dashboard.render_laporan, name='render_laporan'),
    # DOKUMEN PUBLIKASI
    # path('dokumen/', documents.index, name='document'),
    # path('dokumen/<str:slug>', documents.detail, name='document_detail'),
    # ABOUT ==================
    # path('about/', halaman.index_about, name='idx_about'),
    # KONTAK PAJERO SPORT ==================
    # path('contact/', halaman.index_contact, name='idx_contact'),
    # === Layanan ========================
    # path('layanan/', layanan.index, name='layanan'),
    # path('layanan/<str:jenis>', layanan.detail, name='layanan'),
    # path('layanan/komoditas/<str:jenis>', layanan.detail_komoditas, name='detail_komoditas'),
    # NEWS ========================================
    # path('berita/', news.index, name='news'),
    # path('berita/<str:slug>', news.detail, name='news_detail'),
    # path('berita/category/<str:jenis>/<str:slug>', news.category, name='news_by_category'),
    # DOKUMEN PUBLIKASI
    # path('galeri/', gallery.index, name='gallery'),
    # path('galeri/<str:slug>', gallery.detail, name='gallery_detail'),
    # TAGS
    path('tags/<str:jenis>/<str:slug>', tags.index, name='tags'),


    ################################################# PATH URL UNTUK ADMIN################################################# 
    path('manage_panel/', include(
        [
            path('', auth.LoginViews, name='index_login'),
            path('logout/', auth.LogoutViews, name='logout_akun'),
            path('dashboard/', admin.index, name='admin_home'),
            path('fetch_data_pengaduan/', admin.Datapengaduan, name='admin_datapengaduan'),
            path('verification/', user.verification, name='admin_verification'),
            path('send_verification/', user.send_verification, name='admin_send_verification'),
            path('email/verify/<uidb64>/<token>/',user.email_verify, name='admin_email_verify'),

            # path('modal/<str:jenis>', admin.admin_modal_archive, name='admin_modal_archive'),

            #LAYANAN PROFIL SKPD===============================
            path('profilskpd/', include(
                [
                    path('', profilskpd.admin_index, name='admin_profilskpd'),
                    path('create/', profilskpd.create, name='admin_profilskpd_create'),
                    path('edit/<str:slug>', profilskpd.edit, name='admin_profilskpd_edit'),
                    path('soft_delete/<int:id>', profilskpd.softDelete, name='admin_profilskpd_soft_delete'),
                    path('restore/<int:id>', profilskpd.restore, name='admin_profilskpd_restore'),
                    
                ]
            )),

            #LAYANAN DINAS PENDIDIKAN===============================
            path('layanandinas/', include(
                [
                    path('', layanan_.admin_index, name='admin_layanan'),
                    path('create/', layanan_.create, name='admin_layanan_create'),
                    path('edit/<int:id>', layanan_.edit, name='admin_layanan_edit'),
                    path('soft_delete/<int:id>', layanan_.softDelete, name='admin_layanan_soft_delete'),
                    path('restore/<int:id>', layanan_.restore, name='admin_layanan_restore'),
                    
                ]
            )),

             #AKSESBILITAS EXTERNAL LINK DINAS PENDIDIKAN===============================
            path('aksesbilitas/', include(
                [
                    path('', aksesbilitas.admin_index, name='admin_aksesbilitas'),
                    path('create/', aksesbilitas.create, name='admin_aksesbilitas_create'),
                    path('edit/<int:id>', aksesbilitas.edit, name='admin_aksesbilitas_edit'),
                    path('soft_delete/<int:id>', aksesbilitas.softDelete, name='admin_aksesbilitas_soft_delete'),
                    path('restore/<int:id>', aksesbilitas.restore, name='admin_aksesbilitas_restore'),
                    
                ]
            )),

             #AKSESBILITAS EXTERNAL LINK DINAS PENDIDIKAN===============================
            path('kategori_pengaduan/', include(
                [
                    path('', kat_pengaduan.admin_index, name='admin_kat_pengaduan'),
                    path('create/', kat_pengaduan.create, name='admin_kat_pengaduan_create'),
                    path('edit/<str:slug>', kat_pengaduan.edit, name='admin_kat_pengaduan_edit'),
                    path('soft_delete/<str:slug>', kat_pengaduan.softDelete, name='admin_kat_pengaduan_soft_delete'),
                    path('restore/<str:slug>', kat_pengaduan.restore, name='admin_kat_pengaduan_restore'),
                    path('permanent_delete/<str:slug>', kat_pengaduan.permanentDelete, name='admin_kat_permanent_delete'),
                    
                ]
            )),

             #AKSESBILITAS EXTERNAL LINK DINAS PENDIDIKAN===============================
            path('pelayanan_pengaduan/', include(
                [
                    path('', pengaduan.admin_index, name='admin_pelayanan_pengaduan'),
                    path('status_pengaduan/<int:id>', pengaduan.Approve, name='admin_status_pengaduan'),
                    path('belum_selesai/<int:id>', pengaduan.NotApprove, name='admin_status_not_aprrove_pengaduan'),
                    path('input_catatan/<int:id>', pengaduan.inputCatatan, name='admin_input_catatan_alasan'),
                    
                ]
            )),

             #INFORMASI TERPADU DINAS PENDIDIKAN===============================
            path('infoterpadu/', include(
                [
                    # ROUTE INFOGRAFIS
                    path('infografis/', infoterpadu.admin_index_infografis, name='admin_infoterpadu_infografis'),
                    path('infografis/create/', infoterpadu.admin_index_infografis_create, name='admin_infoterpadu_infografis_cretae'),
                    path('infografis/edit/<str:slug>', infoterpadu.admin_index_infografis_edit, name='admin_infoterpadu_infografis_edit'),
                    # ROUTE INFOPUBLIK
                    path('infopublik/', infoterpadu.admin_index_infopublik, name='admin_infoterpadu_infopublik'),
                    path('infopublik/create/', infoterpadu.admin_index_infopublik_create, name='admin_infoterpadu_infopublik_cretae'),
                    path('infopublik/edit/<str:slug>', infoterpadu.admin_index_infopublik_edit, name='admin_infoterpadu_infopublik_edit'),

rizq_sanjaya_app/views/_complaint.py
from django.shortcuts import render, HttpResponse, HttpResponseRedirect, redirect
from django.contrib.auth.decorators import login_required
from django.views.decorators.http import require_http_methods
from ..forms import *
from django.contrib import messages
from ..models import Complaint
import os
from django.conf import settings
from django.core.mail import EmailMessage, get_connection
from django.template.loader import get_template
from django.utils import timezone
from ..decorators import *

@require_http_methods(["GET", "POST"])
def index(request):
    if request.method == 'GET':
        favorits = News.objects.filter(deleted_at=None).order_by('-seen')[:5]
        form = ComplaintForm()
        context = {
            'title' : 'Pengaduan',
            'form' : form,
            'favs' : favorits,
            'captcha' : MyCaptcha(),
        }

        return render(request, 'profile/complaint/index.html', context)
    
    if request.method == 'POST':
        form = ComplaintForm(data=request.POST)
        captcha = MyCaptcha(request.POST)

        if captcha.is_valid():
            if form.is_valid():
                try:
                    message = get_template("profile/email/complaint.html").render({
                        'name': request.POST.get('name'),
                        'email': request.POST.get('email'),
                        'phone': request.POST.get('phone'),
                        'subject': request.POST.get('subject'),
                        'message': request.POST.get('message'),
                    })
                    connection = get_connection(host=settings.EMAIL_HOST, 
                                                port=settings.EMAIL_PORT, 
                                                username=settings.EMAIL_HOST_USER_PENGADUAN, 
                                                password=settings.EMAIL_HOST_PASSWORD_PENGADUAN, 
                                                use_tls=settings.EMAIL_USE_TLS)
                    mail = EmailMessage(
                        subject=request.POST.get('subject'),
                        body=message,
                        to=[
                            # masih perlu diupdate
                            'yoelaris@gmail.com',
                        ],
                        connection=connection,
                    )
                    form.save()
                    
                    mail.content_subtype = "html"
                    mail.send()

                    messages.success(request, 'Pengaduan anda berhasil dikirim.')
                    
                except:
                    messages.success(request, 'Pengaduan anda gagal dikirim.')
                
                return redirect('profile:complaint')
        else:
            messages.error(request, 'Pengaduan anda gagal dikirim. Captcha tidak sama.')
            return redirect('profile:complaint')

        return render(request, 'profile/complaint/index.html', {'form': form})

@login_required
@is_verified()
@require_http_methods(["GET"])
def admin_index(request):
    complaint = Complaint.objects.filter(deleted_at = None).order_by('-created_at')
    archives = Complaint.objects.filter(deleted_at__isnull=False).order_by('-created_at')
    context = {
        'title' : 'Pengaduan - Admin',
        'complaints' : complaint,
        'archives' : archives,
    }
    
    return render(request, 'profile/admin/complaint/index.html', context)

@login_required
@is_verified()
@require_http_methods(["GET"])
def admin_detail(request, slug):
    template = 'profile/admin/complaint/detail.html'
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.read_status=True
        complaint.save()
    except Complaint.DoesNotExist:
        complaint = None
    context = {
        'title' : 'Pengaduan' if complaint != None else 'TIDAK DITEMUKAN',
        'complaint' : complaint,
    }
    return render(request, template, context)

@login_required
@is_verified()
@require_http_methods(["POST"])
def reply(request):
    if request.method == 'POST':
        try:
            complaint = Complaint.objects.get(slug=request.POST.get('slug'))
            message = get_template("profile/email/complaint_reply.html").render({
                'name': complaint.name,
                'subject': complaint.subject,
                'message': complaint.message,
                'reply' : request.POST.get('balasan'),
            })
            connection = get_connection(host=settings.EMAIL_HOST, 
                                        port=settings.EMAIL_PORT, 
                                        username=settings.EMAIL_HOST_USER_PENGADUAN, 
                                        password=settings.EMAIL_HOST_PASSWORD_PENGADUAN, 
                                        use_tls=settings.EMAIL_USE_TLS)
            mail = EmailMessage(
                subject=f"Balasan terhadap pengaduan: {complaint.subject}",
                body=message,
                to=[
                    complaint.email,
                ],
                connection=connection,
            )
            mail.content_subtype = "html"
            mail.send()

            complaint.reply_status = True
            complaint.save()

            messages.success(request, 'Balasan anda berhasil dikirim.')
            return redirect('profile:admin_complaint_detail', slug=complaint.slug)
            
        except:
            messages.success(request, 'Balasan anda gagal dikirim.')
            return redirect('profile:complaint')

@login_required
@is_verified()
def softDelete(request, slug):
    message = ''
    try:
        sekarang = timezone.now()
        complaint = Complaint.objects.get(slug=slug)
        complaint.deleted_at = sekarang
        complaint.save()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)

@login_required
@is_verified()
def permanentDelete(request, slug):
    message = ''
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.delete()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)
    
@login_required
@is_verified()
def restore(request, slug):
    message = ''
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.deleted_at = None
        complaint.save()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)

rizq_sanjaya_app/templates/profile/admin/infoterpadu/infografis/form.html
<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_infoterpadu_infografis_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_infoterpadu_infografis_cretae' %}"
    {% endif %}>
   
    {% csrf_token %}
 
    <div class="form-group">
        <label for="judul">Judul Infografis</label>
        <input type="text" placeholder="Masukkan Judul Infografis..."
            class="form-control" name="{{ form.title.name }}" id="title" value="{{infografis.title}}" required>
        <input type="hidden" name="{{ form.typexs.name }}" value="infografis">
        <input type="hidden" name="{{ form.start_event_date.name }}" value="{% now 'Y-m-d' %}">
        <input type="hidden" name="{{ form.end_event_date.name }}" value="{% now 'Y-m-d' %}">
    </div>
    <div class="row form-group">
        <div class="col-md-8">
            <label for="deskripsi">Deskripsi Infografis</label>
            {{form.description}}
        </div>
        <div class="col-md-4">
            <label for="Infografis">Foto Infografis</label>
            <input type="file" class="form-control" name="{{ form_foto.foto.name }}" id="foto"
                {% if form_foto.foto.field.required and not edit %}required{% endif %}>
            <small id="passwordHelpBlock" class="form-text text-muted">
                {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
            </small>
            {{form_foto.x}}
            {{form_foto.y}}
            {{form_foto.width}}
            {{form_foto.height}}
            <div class="col col-md-12 d-flex justify-content-center mt-3">
                <div class="crop-preview" style="max-width: 100%; max-height: 100%;"></div>
                <img id="old-image" style="max-width: 100%; max-height: 100%;" src="{{infografis.foto.url}}">           
            </div>
        </div>
    </div>    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>

rizq_sanjaya_app/templates/profile/admin/infoterpadu/infografis/index.html
{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 200px;
            word-wrap: break-word;
        }
       
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Infografis</li>
        </ol>
    </nav>

    <a href="{% url 'profile:admin_infoterpadu_infografis_cretae' %}"> 
        <button type="button" class="btn btn-info mt-2 mb-2"><i class="bi bi-plus"></i> Tambah Infografis</button>
    </a>
    <button class="btn btn-danger pass-data mt-2 mb-2" 
        data-toggle="modal" data-target="#modal-center"><i class="bi bi-search"></i> Lihat Data Arsip
    </button>
    
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Infografis</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive py-3">
                <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                    <thead class="bg-info text-white">
                        <tr>
                            <th scope="col" class="text-center">#</th>
                            <th scope="col" class="text-center">Thumbnail</th>
                            <th scope="col" class="text-center">Tanggal</th>
                            <th scope="col" class="text-center">Judul</th>
                            <th scope="col" class="text-center">Status</th>
                            <th scope="col" class="text-center">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for data in data_infoterpadu %}
                        <tr>
                            <td>{{forloop.counter}}</td>
                            <td><img src="{{data.foto.url}}" alt="" width="100"></td>
                            <td>{{data.create_date}}</td>
                            <td>{{data.title}}</td>
                            <td>{{data.status}}</td>
                            <td>
                                <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                    <a class="btn btn-success btn-circle mr-3 mb-2" 
                                        href="{% url 'profile:admin_infoterpadu_infografis_edit' slug=data.slug %}"
                                        data-toggle="tooltip" data-placement="top" title="Edit">
                                        <i class="bi bi-pencil"></i>
                                    </a>
                                    <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                    onclick="delete_('soft_delete', `{{ data.title }}`, '{{ data.id }}')"
                                    data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div class="modal fade" id="modal-center" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Daftar Data Arsip</h5>
                    <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    {% include 'profile/admin/infoterpadu/infografis/arsip.html' %}
                </div>
            </div>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable({
                responsive: true,
            });
            $('#table-archive').DataTable({
                responsive: true,
            });
        });

        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/infoterpadu/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Kata Mereka berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/infoterpadu/infografis/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Kata Mereka gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/infoterpadu/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/infoterpadu/infografis/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}